__all__ = ['my_sprite', 'player', 'thug', 'cherub']

class my_rect:
    def __init__(self, x, y, w, h):
        self.x = x
        self.y = y
        self.w = w
        self.h = h
        
    def __str__(self):
        return "my_rect<" + str(self.x) + ", " + str(self.y) + ", " + str(self.w) + ", " + str(self.h) + ">"
        
    def collides(self, r):
        """Does this rectangle collide with another rectangle?"""
        return (r.x + r.w > self.x) and (r.x < self.x + self.w) and (r.y + r.h > self.y) and (r.y < self.y + self.h)
